package utils

import "strings"

func ExtractField(input, field string) string {
	idx := strings.Index(input, field)
	if idx == -1 {
		return "" // 或者返回一个默认值，抛出错误等，根据实际情况处理
	}

	start := idx + len(field)
	end := strings.IndexByte(input[start:], '&')
	if end == -1 {
		end = len(input) // 没有找到下一个 &, 则提取到字符串末尾
	} else {
		end += start
	}

	return input[start:end]
}
